libzypp: zypp::solver::detail::SolverQueueItemInstallOneOf Class Reference

libzypp 17.38.14

zypp::solver::detail::SolverQueueItemInstallOneOf Class Reference

`#include <zypp/solver/detail/SolverQueueItemInstallOneOf.h>`

Inheritance diagram for zypp::solver::detail::SolverQueueItemInstallOneOf:

## Public Types
typedef std::list< PoolItem > | PoolItemList

## Public Member Functions
| SolverQueueItemInstallOneOf (const ResPool &pool, PoolItemList itemList, bool soft=false)
virtual | ~SolverQueueItemInstallOneOf ()
virtual std::ostream & | dumpOn (std::ostream &str) const
bool | isSoft (void) const
virtual bool | addRule (sat::detail::CQueue &q)
virtual SolverQueueItem_Ptr | copy (void) const
virtual int | cmp (SolverQueueItem_constPtr item) const

## Private Attributes
PoolItemList | _oneOfList
bool | _soft

## Friends
std::ostream & | operator<< (std::ostream &str, const SolverQueueItemInstallOneOf &obj)

## Detailed Description

Definition at line 43 of file SolverQueueItemInstallOneOf.h.

## Member Typedef Documentation

## ◆ PoolItemList

typedef std::list<PoolItem> zypp::solver::detail::SolverQueueItemInstallOneOf::PoolItemList

Definition at line 46 of file SolverQueueItemInstallOneOf.h.

## Constructor & Destructor Documentation

## ◆ SolverQueueItemInstallOneOf()

zypp::solver::detail::SolverQueueItemInstallOneOf::SolverQueueItemInstallOneOf | ( | const ResPool & | pool,
|  | PoolItemList | itemList,
|  | bool | soft = false )

Definition at line 65 of file SolverQueueItemInstallOneOf.cc.

## ◆ ~SolverQueueItemInstallOneOf()

zypp::solver::detail::SolverQueueItemInstallOneOf::~SolverQueueItemInstallOneOf | ( |  | ) |
| virtual

Definition at line 74 of file SolverQueueItemInstallOneOf.cc.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::solver::detail::SolverQueueItemInstallOneOf::dumpOn | ( | std::ostream & | str | ) | const
| virtual

Definition at line 51 of file SolverQueueItemInstallOneOf.cc.

## ◆ isSoft()

bool zypp::solver::detail::SolverQueueItemInstallOneOf::isSoft | ( | void |  | ) | const
| inline

Definition at line 67 of file SolverQueueItemInstallOneOf.h.

## ◆ addRule()

bool zypp::solver::detail::SolverQueueItemInstallOneOf::addRule | ( | sat::detail::CQueue & | q | ) |
| virtual

Definition at line 80 of file SolverQueueItemInstallOneOf.cc.

## ◆ copy()

SolverQueueItem_Ptr zypp::solver::detail::SolverQueueItemInstallOneOf::copy | ( | void |  | ) | const
| virtual

Definition at line 111 of file SolverQueueItemInstallOneOf.cc.

## ◆ cmp()

int zypp::solver::detail::SolverQueueItemInstallOneOf::cmp | ( | SolverQueueItem_constPtr | item | ) | const
| virtual

Definition at line 121 of file SolverQueueItemInstallOneOf.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SolverQueueItemInstallOneOf & | obj )
| friend

Definition at line 62 of file SolverQueueItemInstallOneOf.h.

## Member Data Documentation

## ◆ _oneOfList

PoolItemList zypp::solver::detail::SolverQueueItemInstallOneOf::_oneOfList
| private

Definition at line 50 of file SolverQueueItemInstallOneOf.h.

## ◆ _soft

bool zypp::solver::detail::SolverQueueItemInstallOneOf::_soft
| private

Definition at line 51 of file SolverQueueItemInstallOneOf.h.

The documentation for this class was generated from the following files:

- zypp/solver/detail/SolverQueueItemInstallOneOf.h
- zypp/solver/detail/SolverQueueItemInstallOneOf.cc